# Income Statement

### Fields

| Field                        | Type                                                                      | Description                               |
| ---------------------------- | ------------------------------------------------------------------------- | ----------------------------------------- |
| costOfGoodsSold              | Float                                                                     | Cost of Goods Sold                        |
| currencyIsoCode              | [CurrencyTypeEnum](/company-data-api/graphql-enums/currency-type-enum.md) | Currency the company reports in           |
| depreciationAmortization     | Float                                                                     | Depreciation and Amortization             |
| ebit                         | Float                                                                     | EBIT                                      |
| ebitMargin                   | Float                                                                     | EBIT margin (a fraction)                  |
| ebitda                       | Float                                                                     | EBITDA                                    |
| ebitdaMargin                 | Float                                                                     | EBITDA margin (a fraction)                |
| generalAdministrativeExpense | Float                                                                     | General and Administrative Expense        |
| grossBookings                | Float                                                                     | Gross Bookings                            |
| grossProfit                  | Float                                                                     | Gross Profit                              |
| grossProfitMargin            | Float                                                                     | Gross Profit Margin (a fraction)          |
| incomeTaxExpense             | Float                                                                     | Income tax expense                        |
| interestExpense              | Float                                                                     | Interest Expense                          |
| interestIncome               | Float                                                                     | Interest Income                           |
| netIncome                    | Float                                                                     | Net Income                                |
| netInterestExpense           | Float                                                                     | Net interest expense                      |
| period                       | [Period](/company-data-api/graphql-objects/untitled-3.md)                 | Period of statement - Quarterly or Annual |
| preTaxProfit                 | Float                                                                     | Pre-Tax Profit                            |
| researchDevelopmentExpense   | Float                                                                     | Research and Development Expense          |
| revenue                      | Float                                                                     | Revenue                                   |
| revenueGrowth                | Float                                                                     | Revenue Growth                            |
| salesMarketingExpense        | Float                                                                     | Sales and Marketing Expense               |
| source                       | [Source](/company-data-api/graphql-objects/source-object.md)              | Source URL for the financial statement    |
| totalOperatingExpense        | Float                                                                     | Total Operating Expense                   |

### Query example

```graphql
# query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        incomeStatements {
            costOfGoodsSold
            currencyIsoCode
            depreciationAmortization
            ebit
            ebitMargin
            ebitda
            ebitdaMargin
            generalAdministrativeExpense
            grossBookings
            grossProfit
            grossProfitMargin
            incomeTaxExpense
            interestExpense
            interestIncome
            netIncome
            netInterestExpense
            period {
                periodType
                endDate
            }
            preTaxProfit
            researchDevelopmentExpense
            revenue
            revenueGrowth
            salesMarketingExpense
            
            source {
                url
            }
            
            totalOperatingExpense
        }
        
        incomeStatementsSources {
            url
        }
    }
}

# variables
{ "domain": "meta.com" }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.craft.co/company-data-api/data-points/financials/income-statements.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
